V2 50 endpoints

DELETE /v2/uploads
operationId: V2_DeleteUploads2

Request Body

required
application/json
schema apiDeleteUploadsRequest
Property Type Required
ids array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/uploads
GET /v2/uploads
operationId: V2_ListUploads2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/uploads
POST /v2/uploads
operationId: V2_PostUploads2

Request Body

required
application/json
schema apiPostUploadsRequest
Property Type Required
uploads array optional
└ id string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ expiresAt string optional
└ contentUrl string optional
└ modifiedAt string optional
└ contentName string optional
└ contentLength string optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/uploads
GET /v2/uploads/{uploadId}
operationId: V2_GetUpload2

Parameters

Name In Required Type Description
uploadId path required string

Upload ID

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/uploads/{uploadId}
PUT /v2/uploads/{uploadId}/content_parts
operationId: V2_PutUploadContentParts2

Parameters

Name In Required Type Description
uploadId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

PUT /v2/uploads/{uploadId}/content_parts
POST /v2/users/{runnerSelector.deployment.userId}/deployments/{runnerSelector.deployment.id}/outputs
operationId: V2_PostModelOutputs5

Parameters

Name In Required Type Description
runnerSelector.deployment.userId path required string

The user who owns the deployment. These live in the user/org account.

runnerSelector.deployment.id path required string

An id for this configured deployment.

Request Body

required
application/json
schema V2PostModelOutputs5Request
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
modelId string optional
userAppId object optional
└ appId string optional
└ userId string optional
versionId string optional
runnerSelector object optional
└ runner object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ deployment object optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ nodepools array optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ autoscaleConfig object optional
└ maxReplicas integer optional
└ minReplicas integer optional
└ enablePacking boolean optional
└ scaleUpDelaySeconds integer optional
└ scaleDownDelaySeconds integer optional
└ trafficHistorySeconds integer optional
└ schedulingChoice string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{runnerSelector.deployment.userId}/deployments/{runnerSelector.deployment.id}/outputs
GET /v2/users/{userAppId.userId}
operationId: V2_GetUser

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}
GET /v2/users/{userAppId.userId}/apps
operationId: V2_ListApps

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByName query optional boolean

Whether to order by the name

sortByModifiedAt query optional boolean

Whether to order by the modified_at time.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the app

featuredOnly query optional boolean

Filtering options:
If true, we only return apps that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return apps that are starred by the requesting user

templateOnly query optional boolean

If true, we only return apps that are marked as a template by the app owner.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the application:

  • id
  • name
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query various text fields (id, name, description, and notes) that can contain the words in the query string
Deprecated: use search instead.

name query optional string

Filter by the id, name and notes of the app. This supports wilcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

id query optional string

Filter by the user-unique-id of the app. This supports wilcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps
PATCH /v2/users/{userAppId.userId}/apps
operationId: V2_PatchApps

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PatchAppsRequest
Property Type Required
apps array optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
action string optional
reindex boolean optional
userAppId object optional
└ appId string optional
metadataAction object optional
└ op string optional
└ path string optional
└ mergeConflictResolution string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps
POST /v2/users/{userAppId.userId}/apps
operationId: V2_PostApps

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PostAppsRequest
Property Type Required
apps array optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps
PATCH /v2/users/{userAppId.userId}/apps/ids
operationId: V2_PatchAppsIds

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PatchAppsIdsRequest
Property Type Required
ids array optional
└ id string optional
└ newId string optional
action string optional
userAppId object optional
└ appId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/ids
POST /v2/users/{userAppId.userId}/apps/searches
operationId: V2_PostAppsSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

Request Body

required
application/json
schema V2PostAppsSearchesRequest
Property Type Required
appQuery object optional
└ name string optional
userAppId object optional
└ appId string optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/searches
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}
operationId: V2_DeleteApp

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}
operationId: V2_GetApp

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}
operationId: V2_PatchApp

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchAppRequest
Property Type Required
app object optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
action string optional
reindex boolean optional
userAppId object optional
metadataAction object optional
└ op string optional
└ path string optional
└ mergeConflictResolution string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
operationId: V2_DeleteAnnotationFilters

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteAnnotationFiltersRequest
Property Type Required
userAppId object optional
annotationFilterIds array optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
operationId: V2_ListAnnotationFilters

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
operationId: V2_PatchAnnotationFilters

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchAnnotationFiltersRequest
Property Type Required
action string optional
userAppId object optional
annotationFilters array optional
└ id string optional
└ appId string optional
└ search object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ ranks array optional
└ filters array optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
operationId: V2_PostAnnotationFilters

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostAnnotationFiltersRequest
Property Type Required
userAppId object optional
annotationFilters array optional
└ id string optional
└ appId string optional
└ search object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ ranks array optional
└ filters array optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters/{annotationFilterId}
operationId: V2_GetAnnotationFilter

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
annotationFilterId path required string

Identify annotation filter by id.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotation_filters/{annotationFilterId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
operationId: V2_DeleteAnnotations3

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2DeleteAnnotations3Request
Property Type Required
ids array optional
inputIds array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
operationId: V2_ListAnnotations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
ids query optional array

List annotations for these IDs

inputIds query optional array

List annotations for these Input IDs
Note that ‘ids’ are optional but if the are provided the number and order in
‘ids’ and ‘input_ids’ should match
If you do not specify ‘ids’ all the annotations for ‘input_ids’ are returned
If a you do not specify both ‘input_ids’ and ‘ids’ all the annotations in the app are returned

userIds query optional array

Only return the annotations that has one of these user IDs, effectively operating as an
OR among them to filter down the results.
If model_version_ids are also provided these user_ids are OR’d with them as well since
annotations are either provided by users or model versions and we want the union of any
provided user or model version annotations in the results of ListAnnotations request.
If no user_ids are provided then annotations from all users are returned.

modelVersionIds query optional array

Only return the annotations that has one of these model version IDs, effectively operating as an
OR among them to filter down the results.
If user_ids are also provided these model_versions_ids are OR’d with them as well since
annotations are either provided by users or model versions and we want the union of any
provided user or model version annotations in the results of ListAnnotations request.
If no model_version_ids are provided then annotations from all model versions are returned.

listAllAnnotations query optional boolean

Set this flag to list both trusted and not trusted annotations
by default it’s listing only trusted annotations

returnModelOutput query optional boolean

Set this flag to return the model output for model annotations in the response.

page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

taskId query optional string

Flag to filter annotations by task_id

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
operationId: V2_PatchAnnotations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchAnnotationsRequest
Property Type Required
action string optional
userAppId object optional
annotations array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
deleteIfEmptyData boolean optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
operationId: V2_PostAnnotations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostAnnotationsRequest
Property Type Required
userAppId object optional
annotations array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches
operationId: V2_PatchAnnotationsSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2PatchAnnotationsSearchesRequest
Property Type Required
action string optional
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches
operationId: V2_PostAnnotationsSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostAnnotationsSearchesRequest
Property Type Required
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
userAppId object optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics
operationId: V2_ListAnnotationSearchMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics
operationId: V2_PostAnnotationSearchMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostAnnotationSearchMetricsRequest
Property Type Required
id string optional
data object optional
└ geo object optional
└ geoBox array optional
└ geoPoint object optional
└ geoLimit object optional
└ type string optional
└ value number optional
└ geoPoint object optional
└ latitude number optional
└ longitude number optional
└ hits array optional
└ appId string optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ score number optional
└ userId string optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ textInfo object optional
└ encoding string optional
└ charCount integer optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ audioInfo object optional
└ bitRate integer optional
└ sampleRate integer optional
└ audioFormat string optional
└ durationSeconds number optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ videoInfo object optional
└ fps number optional
└ width integer optional
└ height integer optional
└ bitRate integer optional
└ frameCount integer optional
└ videoFormat string optional
└ durationSeconds number optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ hex string optional
└ name string optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ time integer optional
└ index integer optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ endTime number optional
└ beginTime number optional
└ numFrames integer optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ mask object optional
└ span object optional
└ point object optional
└ token object optional
└ polygon object optional
└ boundingBox object optional
└ keypointLocations array optional
└ clusters array optional
└ id string optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ keypointNames array optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ endTime number optional
└ beginTime number optional
└ numFrames integer optional
userAppId object optional
groundTruth object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
searchToEval object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
evaluationType string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics/{id}
operationId: V2_DeleteAnnotationSearchMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics/{id}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics/{id}
operationId: V2_GetAnnotationSearchMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string

Unique custom facing id that identifies the eval to get

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/searches/metrics/{id}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/workers
operationId: V2_ListAnnotationWorkers

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response.
Currently supported: all, names

trustedOnly query optional boolean

(optional URL parameter) Only list workers that have created trusted annotations.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/annotations/workers
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
operationId: V2_DeleteBulkOperations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteBulkOperationsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
operationId: V2_ListBulkOperations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
operationId: V2_CancelBulkOperations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2CancelBulkOperationsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
operationId: V2_PostBulkOperations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostBulkOperationsRequest
Property Type Required
userAppId object optional
bulkOperations array optional
└ id string optional
└ appId string optional
└ search object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ ranks array optional
└ filters array optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ dataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ status object optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ processingInfo object optional
└ modelPredictConfig object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultProcessingInfo object optional
└ frameInterpolationInfo object optional
└ defaultAnnotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional
└ inputIds object optional
└ inputIds array optional
└ progress object optional
└ processed integer optional
└ lastProcessedId string optional
└ createdAt string optional
└ createdBy string optional
└ operation object optional
└ deleteGeo object optional
└ addConcepts object optional
└ concepts array optional
└ addMetadata object optional
└ metadata object optional
└ addToDataset object optional
└ datasetId string optional
└ overwriteGeo object optional
└ geo object optional
└ deleteConcepts object optional
└ userIds array optional
└ concepts array optional
└ deleteMetadata object optional
└ metadata object optional
└ deleteFromDataset object optional
└ datasetId string optional
└ splitIntoDatasets object optional
└ method string optional
└ datasetSplits array optional
└ lastModifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations/{id}
operationId: V2_GetBulkOperation

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string

The bulk operation id

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/bulk_operations/{id}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
operationId: V2_DeleteCollaborators

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteCollaboratorsRequest
Property Type Required
userAppId object optional
userEmails array optional
collaboratorIds array optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
operationId: V2_ListCollaborators

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
listAllCollaborators query optional boolean

Set this flag to list both deleted and not deleted collaborators
by default it’s listing only not deleted collaborators

page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
operationId: V2_PatchCollaborators

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchCollaboratorsRequest
Property Type Required
action string optional
userAppId object optional
collaborators array optional
└ id string optional
└ app object optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
└ user object optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ state string optional
└ country string optional
└ billType string optional
└ metadata object optional
└ teamsCount integer optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ dateMarketingConsent string optional
└ twoFactorAuthEnabled boolean optional
└ visibility object optional
└ gettable string optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ email string optional
└ primary boolean optional
└ verified boolean optional
└ dateGdprConsent string optional
└ …2 more object optional
└ scopes array optional
└ createdAt string optional
└ deletedAt string optional
└ endpoints array optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
operationId: V2_PostCollaborators

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostCollaboratorsRequest
Property Type Required
userAppId object optional
collaborators array optional
└ id string optional
└ app object optional
└ id string optional
└ name string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ metadata object optional
└ sampleMs integer optional
└ createdAt string optional
└ extraInfo object optional
└ searchRevisionMarker string optional
└ isStarred boolean optional
└ starCount integer optional
└ dataTierId string optional
└ isTemplate boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ defaultLanguage string optional
└ defaultWorkflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ defaultWorkflowId string optional
└ legalConsentStatus integer optional
└ user object optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ state string optional
└ country string optional
└ billType string optional
└ metadata object optional
└ teamsCount integer optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ dateMarketingConsent string optional
└ twoFactorAuthEnabled boolean optional
└ visibility object optional
└ gettable string optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ email string optional
└ primary boolean optional
└ verified boolean optional
└ dateGdprConsent string optional
└ …2 more object optional
└ scopes array optional
└ createdAt string optional
└ deletedAt string optional
└ endpoints array optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collaborators
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
operationId: V2_DeleteCollectors

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2DeleteCollectorsRequest
Property Type Required
ids array optional
deleteAll boolean optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
operationId: V2_ListCollectors

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
operationId: V2_PatchCollectors

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchCollectorsRequest
Property Type Required
action string optional
userAppId object optional
collectors array optional
└ id string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ description string optional
└ collectOutputs boolean optional
└ collectorSource object optional
└ apiPostModelOutputsCollectorSource object optional
└ modelId string optional
└ modelAppId string optional
└ modelUserId string optional
└ callerUserId string optional
└ modelVersionId string optional
└ postInputsKeyId string optional
└ preQueueWorkflowId string optional
└ postQueueWorkflowId string optional
└ preQueueRandomSample number optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
operationId: V2_PostCollectors

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostCollectorsRequest
Property Type Required
userAppId object optional
collectors array optional
└ id string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ description string optional
└ collectOutputs boolean optional
└ collectorSource object optional
└ apiPostModelOutputsCollectorSource object optional
└ modelId string optional
└ modelAppId string optional
└ modelUserId string optional
└ callerUserId string optional
└ modelVersionId string optional
└ postInputsKeyId string optional
└ preQueueWorkflowId string optional
└ postQueueWorkflowId string optional
└ preQueueRandomSample number optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors/{collectorId}
operationId: V2_GetCollector

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
collectorId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/collectors/{collectorId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
operationId: V2_ListConcepts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

id query optional string

Fuzzy match on concept ID

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
operationId: V2_PatchConcepts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchConceptsRequest
Property Type Required
action string optional
concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ k1 integer optional
└ k2 integer optional
└ keypointNames array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
operationId: V2_PostConcepts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostConceptsRequest
Property Type Required
concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ isRankable boolean optional
└ definition string optional
└ visibility object optional
└ gettable string optional
└ keypointInfo object optional
└ skeleton array optional
└ k1 integer optional
└ k2 integer optional
└ keypointNames array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts/knowledge_graphs
operationId: V2_ListKnowledgeGraphs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts/knowledge_graphs
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts/knowledge_graphs
operationId: V2_PostKnowledgeGraphs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostKnowledgeGraphsRequest
Property Type Required
userAppId object optional
knowledgeGraphs array optional
└ id string optional
└ name string optional
└ description string optional
└ examplesAppId string optional
└ sampledExamplesAppId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/concepts/knowledge_graphs
Load more endpoints